Bug 914165 - maven-clean-plugin: FTBFS in rawhide
Summary: maven-clean-plugin: FTBFS in rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: maven-clean-plugin
Version: rawhide
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 913489 914651
Blocks: F19FTBFS
TreeView+ depends on / blocked
 
Reported: 2013-02-22 09:43 UTC by Dennis Gilmore
Modified: 2013-03-12 07:52 UTC (History)
5 users (show)

Fixed In Version: 2.5-5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-12 07:52:20 UTC


Attachments (Terms of Use)

Description Dennis Gilmore 2013-02-22 09:43:05 UTC
Your package maven-clean-plugin failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4967908

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/7908/4967908/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/7908/4967908/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/7908/4967908/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

Comment 1 Mikolaj Izdebski 2013-02-22 12:33:17 UTC
So far this package doesn't build in rawhide because
of broken bouncycastle-main, see bug #914574 for more details.

I am adding dependency on bug #914574 and I will investigate
the real cause of the FTBFS once bouncycastle-mail is fixed.

Comment 2 Mikolaj Izdebski 2013-02-22 12:36:57 UTC
In comment #1 I meant bug #914651, not bug #914574.
Fixing bug dependency. Sorry.

Comment 3 Mikolaj Izdebski 2013-02-28 13:04:48 UTC
I just sis a scratch build and this package still
fails to build from source in rawhide:

Package maven-clean-plugin (5064088):
  noarch (5064152):
    build.log           : http://kojipkgs.fedoraproject.org/work/tasks/4152/5064152/build.log
    state.log           : http://kojipkgs.fedoraproject.org/work/tasks/4152/5064152/state.log
    mock_output.log     : http://kojipkgs.fedoraproject.org/work/tasks/4152/5064152/mock_output.log
    root.log            : http://kojipkgs.fedoraproject.org/work/tasks/4152/5064152/root.log

Comment 4 Mikolaj Izdebski 2013-02-28 13:20:15 UTC
Maven surefire problem.

Comment 5 Mikolaj Izdebski 2013-03-11 16:52:38 UTC
Fixed in maven-clean-plugin-2.5-5

Comment 6 Mikolaj Izdebski 2013-03-12 07:52:20 UTC
I believe that this bug is fixed in maven-clean-plugin-2.5-5,
which is available in Fedora Rawhide, so I am closing this bug now.
Thank you for reporting it.  You are welcome to submit any further reports.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=401711


Note You need to log in before you can comment on or make changes to this bug.